#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1
%define oname kactivities

Name:    libkactivities
Summary: API for using and interacting with Activities 
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2+
Group:  System/Libraries
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%oname-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version} 
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: nepomuk-core-devel


%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

#------------------------------------------------------------------------------

%package -n kactivitymanagerd
Summary: Activity Manager for KDE
Group: Graphical desktop/KDE
Conflicts: kdebase4-runtime < 1:4.7.3-2
Suggests: kactivitymanagerd-nepomuk-plugin

%description -n kactivitymanagerd
This package provides an Activity Manager for KDE.

%files -n kactivitymanagerd
%{_kde_appsdir}/activitymanager/workspace/settings/BlacklistApplicationView.qml
%{_kde_appsdir}/plasma/packages/org.kde.ActivityManager.UiHandler
%{_kde_bindir}/kactivitymanagerd
%{_kde_libdir}/kde4/activitymanager_plugin_activityranking.so
%{_kde_libdir}/kde4/activitymanager_plugin_globalshortcuts.so
%{_kde_libdir}/kde4/activitymanager_plugin_slc.so
%{_kde_libdir}/kde4/activitymanager_plugin_sqlite.so
%{_kde_libdir}/kde4/activitymanager_plugin_virtualdesktopswitch.so
%{_kde_libdir}/kde4/activitymanager_uihandler_declarative.so
%{_kde_libdir}/kde4/activitymanager_uihandler_kdialog.so
%{_kde_libdir}/kde4/kcm_activities.so
%{_kde_services}/activitymanager-plugin-activityranking.desktop
%{_kde_services}/activitymanager-plugin-globalshortcuts.desktop
%{_kde_services}/activitymanager-plugin-slc.desktop
%{_kde_services}/activitymanager-plugin-sqlite.desktop
%{_kde_services}/activitymanager-plugin-virtualdesktopswitch.desktop
%{_kde_services}/kactivitymanagerd.desktop
%{_kde_services}/kcm_activities.desktop
%{_kde_servicetypes}/activitymanager-plugin.desktop
%{_kde_datadir}/ontology/kde/kao.ontology
%{_kde_datadir}/ontology/kde/kao.trig

#------------------------------------------------------------------------------ 

%package -n kactivitymanagerd-nepomuk-plugin
Summary: Nepomuk plugin for activity manager
Requires: nepomuk-core
Group: Graphical desktop/KDE

%description -n kactivitymanagerd-nepomuk-plugin
This package provides the nepomuk support for kactivitymanagerd.

%files -n kactivitymanagerd-nepomuk-plugin
%{_kde_libdir}/kde4/imports/org/kde/activities/models/libkactivities-models-component-plugin.so
%{_kde_libdir}/kde4/imports/org/kde/activities/models/qmldir
%{_kde_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_kde_libdir}/kde4/kio_activities.so
%{_kde_services}/activities.protocol
%{_kde_services}/kactivitymanagerd_fileitem_linking_plugin.desktop
#------------------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname kactivities %{kactivities_major}

%package -n %{libkactivities}
Summary:    Kactivities Runtime Library
Group:      System/Libraries

%description -n %libkactivities
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{oname} runtime library.

%files -n %libkactivities
%{_kde_libdir}/libkactivities.so.%{kactivities_major}*

#------------------------------------------------------------------------------

%define kactivities_models_major 1
%define libkactivities_models %mklibname kactivities_models %{kactivities_models_major}

%package -n %{libkactivities_models}
Summary:    Kactivities Models Runtime Library
Group:      System/Libraries

%description -n %libkactivities_models
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{oname} runtime library.

%files -n %libkactivities_models
%{_kde_libdir}/libkactivities-models.so.%{kactivities_models_major}*


#------------------------------------------------------------------------------

%define kactivities_devel %mklibname kactivities -d

%package -n %{kactivities_devel}
Summary:  Header files for %{name}
Provides: lib%{oname}-devel = %{epoch}:%{version}-%{release}
Provides: kactivities-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities} = %{epoch}:%{version}-%{release}

Group: Development/KDE and Qt 

%description -n %{kactivities_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{oname}

%files -n %{kactivities_devel}
%{_kde_libdir}/libkactivities.so
%{_kde_libdir}/cmake/KActivities/
%{_kde_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities/
%{_kde_includedir}/kactivities/

#------------------------------------------------------------------------------

%define kactivities_model_devel %mklibname kactivities_model -d

%package -n %{kactivities_model_devel}
Summary:  Header files for %{name}
Provides: libkactivities_model-devel = %{epoch}:%{version}-%{release}
Provides: kactivities_model-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities_models} = %{epoch}:%{version}-%{release}
Group: Development/KDE and Qt 

%description -n %{kactivities_model_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{oname}

%files -n %{kactivities_model_devel}
%{_kde_includedir}/kactivities-models/activitymodel.h
%{_kde_includedir}/kactivities-models/kactivities_models_export.h
%{_kde_includedir}/kactivities-models/resourcemodel.h
%{_kde_libdir}/cmake/KActivities-Models/*.cmake
%{_kde_libdir}/libkactivities-models.so
%{_kde_libdir}/pkgconfig/libkactivities-models.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %oname-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKACTIVITIES_BUILD_NEPOMUK_PLUGIN=true
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407133
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401931
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394318
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 357541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339286
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 31 2012 mikala <mikala> 1:4.9.95-2.mga3
+ Revision: 336685
- Bump Release (package is stuck in partial...)
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326610
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320156
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316109
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301893
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289638
- Update tarball to KDE SC 4.9.1
- Build activitymanager plugins

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276617
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269634
- update file list
- new version 4.8.97

* Fri Jun 29 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265007
- update file list
- update file list
- disable final build
- new version 4.8.95

* Sat Jun 09 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 258022
- update file list
- new version 4.8.4

* Fri Apr 06 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228917
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221534
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198095
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 190848
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185813
- Update tarball to KDE 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182193
- Update tarball to KDE 4.7.90
- use gold linker
- enable -DKDE4_ENABLE_FINAL=ON
- fix files list (nepomuk files moved to )
- Add pkgconfig(shared-desktop-ontologies) as BR
- Remove redundant requires from -devel package
- Add epoch since upstream is now providing a tarball with lower version

* Fri Nov 25 2011 lmenut <lmenut> 6.1-2.mga2
+ Revision: 171967
- Fix conflicts on kdebase4-runtime

* Fri Nov 25 2011 mikala <mikala> 6.1-1.mga2
+ Revision: 171814
- Add missing epoch tag in conflicts

* Thu Nov 24 2011 mikala <mikala> 6.1-0.mga2
+ Revision: 171752
- imported package libkactivities

